function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useEffect, useMemo, useState, useRef, useImperativeHandle, forwardRef } from 'react';
import useEngineContext from "../../hooks/useEngineContext";
import { getDeviceList as _getDeviceList, verifyData, getTransaction as _getTransaction, payButton, payData, refundData, addTransaction as _addTransaction, editTransaction as _editTransaction, linklyPayQuery as _linklyPayQuery, linklyRefundQuery as _linklyRefundQuery } from "./serve";
import EFTComponent from "./index";
var isDev = location.host.indexOf('-dev.cn');

// 类型定义

var EFTPos = function EFTPos(props, ref) {
  var _context$appHelper;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    visible = _useState2[0],
    setVisible = _useState2[1];
  var _useState3 = useState(null),
    _useState4 = _slicedToArray(_useState3, 2),
    footer = _useState4[0],
    setFooter = _useState4[1];
  var _useState5 = useState('payo'),
    _useState6 = _slicedToArray(_useState5, 2),
    type = _useState6[0],
    setType = _useState6[1];
  var _useState7 = useState({
      network: true
    }),
    _useState8 = _slicedToArray(_useState7, 2),
    terminal = _useState8[0],
    setTerminal = _useState8[1];
  var _useState9 = useState({}),
    _useState10 = _slicedToArray(_useState9, 2),
    apiParams = _useState10[0],
    setApiParams = _useState10[1];
  var _useState11 = useState('normal'),
    _useState12 = _slicedToArray(_useState11, 2),
    source = _useState12[0],
    setSource = _useState12[1];
  var _useState13 = useState(''),
    _useState14 = _slicedToArray(_useState13, 2),
    action = _useState14[0],
    setAction = _useState14[1];
  var _useState15 = useState('auto'),
    _useState16 = _slicedToArray(_useState15, 2),
    mode = _useState16[0],
    setMode = _useState16[1];
  var _useState17 = useState(0),
    _useState18 = _slicedToArray(_useState17, 2),
    key = _useState18[0],
    setKey = _useState18[1];
  var _useState19 = useState(isDev === -1 ? 'https://iclient.tyro.com' : 'https://iclientsimulator.test.tyro.com'),
    _useState20 = _slicedToArray(_useState19, 1),
    tyroUrl = _useState20[0];
  var _useState21 = useState('iclient-v1.js'),
    _useState22 = _slicedToArray(_useState21, 1),
    tyroVersion = _useState22[0];
  var isComplete = useRef(false);
  var context = useEngineContext();
  var _ref = ((_context$appHelper = context.appHelper) === null || _context$appHelper === void 0 ? void 0 : _context$appHelper.utils) || {},
    lowcodeRef = _ref.lowcodeRef,
    store = _ref.store,
    storage = _ref.storage,
    interaction = _ref.interaction,
    isTerminal = _ref.isTerminal,
    sendWarningLog = _ref.sendWarningLog;
  var isTer = useMemo(function () {
    return isTerminal();
  }, [isTerminal]);
  var install = function install() {
    if (sendWarningLog) {
      sendWarningLog({
        title: '页面eftpos进入',
        content: [{
          key: 'time',
          value: Date.now()
        }]
      });
    }
    isComplete.current = false;
    if (lowcodeRef) {
      // 初始化
      lowcodeRef.onReady({});
    }
    if (interaction) {
      var _interaction$utils, _interaction$utils$po, _interaction$utils2, _interaction$utils3, _interaction$utils4;
      // 初始化
      interaction === null || interaction === void 0 || (_interaction$utils = interaction.utils) === null || _interaction$utils === void 0 || (_interaction$utils$po = _interaction$utils.postMessageToApp) === null || _interaction$utils$po === void 0 || _interaction$utils$po.call(_interaction$utils, {
        module: 'pos',
        key: 'page_load'
      });
      // 初始化调用支付
      interaction === null || interaction === void 0 || (_interaction$utils2 = interaction.utils) === null || _interaction$utils2 === void 0 || _interaction$utils2.mountFunction('pos', 'onPay', function (params) {
        sendWarningLog && sendWarningLog({
          title: '进入eftpos',
          content: [{
            key: 'eftposPay',
            value: params
          }, {
            key: 'time',
            value: Date.now()
          }]
        });
        try {
          var _storage$get, _store$getState;
          console.log('onPay params =', params, storage === null || storage === void 0 || (_storage$get = storage.get) === null || _storage$get === void 0 ? void 0 : _storage$get.call(storage, 'channel'));
          var json = JSON.parse(params);
          json.card_reader_type = json.code.split('_')[1].toLocaleLowerCase();
          json.type = json.card_reader_type;
          json.symbol = (store === null || store === void 0 || (_store$getState = store.getState) === null || _store$getState === void 0 || (_store$getState = _store$getState.call(store)) === null || _store$getState === void 0 || (_store$getState = _store$getState.global) === null || _store$getState === void 0 || (_store$getState = _store$getState.globalConfig) === null || _store$getState === void 0 ? void 0 : _store$getState.currency_symbol) || '$';
          // 补充默认值 管理端
          if (!json.client) {
            json.client = 'merchant';
          }
          if (!json.name) {
            json.name = json.code;
          }
          update({
            type: json.card_reader_type,
            terminal: {
              network: true
            },
            apiParams: json,
            mode: json.mode || 'pay',
            key: Date.now()
          });
          console.log('json=====>', json);
        } catch (error) {
          console.log(_typeof(params));
          console.log('error onPay', params);
          console.error(error);
        }
      });
      // 恢复调用支付
      // 此处存储base64 json字符串数据
      interaction === null || interaction === void 0 || (_interaction$utils3 = interaction.utils) === null || _interaction$utils3 === void 0 || _interaction$utils3.mountFunction('pos', 'onPayBackup', function (params) {
        try {
          var json = JSON.parse(decodeURIComponent(atob(decodeURIComponent(params))));
          console.log('json = ', json);
          update({
            apiParams: json,
            terminal: {
              network: true
            },
            key: Date.now()
          }, 'restore');
        } catch (error) {
          console.log(_typeof(params));
          console.log('error onPayBackup', JSON.stringify(params));
          console.error(error);
        }
      });

      //
      interaction === null || interaction === void 0 || (_interaction$utils4 = interaction.utils) === null || _interaction$utils4 === void 0 || _interaction$utils4.mountFunction('pos', 'onPayNetWork', function (params) {
        try {
          var json = JSON.parse(params);
          updateTerminal(json);
        } catch (error) {
          console.error('onPayNetWork ', params);
          console.error(error);
        }
      });
    }
  };
  var uninstall = function uninstall() {
    if (sendWarningLog) {
      sendWarningLog({
        title: '页面eftpos离开',
        content: [{
          key: 'time',
          value: Date.now()
        }]
      });
    }
  };
  useEffect(function () {
    install();
    return uninstall;
  }, []);
  var onChangeStatus = function onChangeStatus(status, params, other) {
    console.log('---------------------------');
    console.log('status, params = ', status, params, params === null || params === void 0 ? void 0 : params.uniquePaymentNumber, other);
    console.log('---------------------------');
    if (status === 'success' || status === 'fail') {
      isComplete.current = true;
    }

    // 支付结果回调
    if (props !== null && props !== void 0 && props.onPayResult) {
      props.onPayResult({
        status: status,
        params: params
      });
      if (status === 'success' || status === 'fail') {
        setVisible(false);
        isComplete.current = false;
      }
      return;
    }
    if (lowcodeRef) {
      lowcodeRef.onChange({
        status: status,
        params: params
      });
      if (status === 'success' || status === 'fail') {
        setVisible(false);
        isComplete.current = false;
      }
      return;
    }
    if (interaction) {
      var _interaction$utils13, _interaction$utils13$;
      if (status === 'page') {
        console.log(' 页面 = ', params);
        if (params === 'amount' || params === 'deviceList' || params === 'fail') {
          var _interaction$utils5, _interaction$utils5$p;
          interaction === null || interaction === void 0 || (_interaction$utils5 = interaction.utils) === null || _interaction$utils5 === void 0 || (_interaction$utils5$p = _interaction$utils5.postMessageToApp) === null || _interaction$utils5$p === void 0 || _interaction$utils5$p.call(_interaction$utils5, {
            module: 'pos',
            key: 'other',
            data: {
              key: 'show_close_button' // hide_close_button:隐藏关闭按钮 show_close_button:显示关闭按钮
            }
          });
        }
        if (params === 'pay') {
          var _interaction$utils6, _interaction$utils6$p;
          interaction === null || interaction === void 0 || (_interaction$utils6 = interaction.utils) === null || _interaction$utils6 === void 0 || (_interaction$utils6$p = _interaction$utils6.postMessageToApp) === null || _interaction$utils6$p === void 0 || _interaction$utils6$p.call(_interaction$utils6, {
            module: 'pos',
            key: 'other',
            data: {
              key: 'hide_close_button' // hide_close_button:隐藏关闭按钮 show_close_button:显示关闭按钮
            }
          });
        }
        return;
      }
      if (status === 'print') {
        if (other === 'print_on_timeout') {
          var _interaction$utils7, _interaction$utils7$p;
          interaction === null || interaction === void 0 || (_interaction$utils7 = interaction.utils) === null || _interaction$utils7 === void 0 || (_interaction$utils7$p = _interaction$utils7.postMessageToApp) === null || _interaction$utils7$p === void 0 || _interaction$utils7$p.call(_interaction$utils7, {
            module: 'pos',
            key: 'print_on_timeout'
          });
        } else if (other === 'back_home') {
          var _interaction$utils8, _interaction$utils8$p;
          interaction === null || interaction === void 0 || (_interaction$utils8 = interaction.utils) === null || _interaction$utils8 === void 0 || (_interaction$utils8$p = _interaction$utils8.postMessageToApp) === null || _interaction$utils8$p === void 0 || _interaction$utils8$p.call(_interaction$utils8, {
            module: 'pos',
            key: 'back_home'
          });
        } else {
          var list = Array.isArray(params) ? params.filter(function (item) {
            return typeof item === 'string';
          }).filter(Boolean) : [];
          if (list.length > 0) {
            var _interaction$utils9, _interaction$utils9$p;
            //打印小票
            interaction === null || interaction === void 0 || (_interaction$utils9 = interaction.utils) === null || _interaction$utils9 === void 0 || (_interaction$utils9$p = _interaction$utils9.postMessageToApp) === null || _interaction$utils9$p === void 0 || _interaction$utils9$p.call(_interaction$utils9, {
              module: 'pos',
              key: 'print',
              data: list
            });
          }
        }
        return;
      }
      if (status === 'mark_tx_processed') {
        var _interaction$utils10, _interaction$utils10$;
        interaction === null || interaction === void 0 || (_interaction$utils10 = interaction.utils) === null || _interaction$utils10 === void 0 || (_interaction$utils10$ = _interaction$utils10.postMessageToApp) === null || _interaction$utils10$ === void 0 || _interaction$utils10$.call(_interaction$utils10, {
          module: 'pos',
          key: 'mark_tx_processed',
          data: {
            params: {
              uniquePaymentNumberList: params
            }
          }
        });
        return;
      }
      if (_typeof(params) === 'object' && params && 'uniquePaymentNumber' in params && params.uniquePaymentNumber) {
        var _interaction$utils11, _interaction$utils11$;
        interaction === null || interaction === void 0 || (_interaction$utils11 = interaction.utils) === null || _interaction$utils11 === void 0 || (_interaction$utils11$ = _interaction$utils11.postMessageToApp) === null || _interaction$utils11$ === void 0 || _interaction$utils11$.call(_interaction$utils11, {
          module: 'pos',
          key: 'mark_tx_processed',
          data: {
            params: {
              uniquePaymentNumberList: [params.uniquePaymentNumber]
            }
          }
        });
      }
      // window.antd.message.info(`小票信息: ${JSON.stringify(params.receipt)}`);
      if (status === 'success' && _typeof(params) === 'object' && params && 'receipt' in params && Array.isArray(params.receipt) && params.receipt.length > 0) {
        var receiptList = params.receipt.filter(function (item) {
          return typeof item === 'string';
        }).filter(Boolean);
        if (receiptList.length > 0) {
          var _interaction$utils12, _interaction$utils12$;
          //打印小票
          interaction === null || interaction === void 0 || (_interaction$utils12 = interaction.utils) === null || _interaction$utils12 === void 0 || (_interaction$utils12$ = _interaction$utils12.postMessageToApp) === null || _interaction$utils12$ === void 0 || _interaction$utils12$.call(_interaction$utils12, {
            module: 'pos',
            key: 'print',
            data: receiptList
          });
        }
      }
      sendWarningLog({
        title: '离开eftpos',
        content: [{
          key: 'eftposPay',
          value: JSON.stringify(params)
        }, {
          key: 'time',
          value: Date.now()
        }]
      });
      interaction === null || interaction === void 0 || (_interaction$utils13 = interaction.utils) === null || _interaction$utils13 === void 0 || (_interaction$utils13$ = _interaction$utils13.postMessageToApp) === null || _interaction$utils13$ === void 0 || _interaction$utils13$.call(_interaction$utils13, {
        module: 'pos',
        key: 'payChange',
        data: {
          status: status === 'success' ? 1 : 0,
          params: params
        }
      });
      setVisible(false);
      isComplete.current = false;
    }
  };
  var update = function update(params, source) {
    // { type, terminal, apiParams, mode = 'pay' }
    setVisible(true);
    setSource(source || '');
    if (params.type) {
      setType(params.type);
    }
    if (params.terminal !== undefined) {
      setTerminal(params.terminal);
    }
    if (params.apiParams !== undefined) {
      setApiParams(params.apiParams);
    }
    if (params.mode !== undefined) {
      setMode(params.mode);
    }
    if (params.key !== undefined) {
      setKey(params.key);
    }
    if (params.source !== undefined) {
      setSource(params.source);
    }
  };
  var updateNetwork = function updateNetwork(terminal) {
    setTerminal(terminal);
  };
  var updateTerminal = function updateTerminal(terminal) {
    setTerminal(terminal);
  };
  var getApi = function getApi() {
    return {
      pay: function pay(params, config) {
        return payData(params, _objectSpread(_objectSpread({}, config || {}), {}, {
          customResponse: true
        })).then(function (res) {
          console.log('====> 支付结果', res);
          if (sendWarningLog) {
            sendWarningLog({
              title: '支付结果',
              content: [{
                key: 'res',
                value: JSON.stringify(res)
              }, {
                key: 'params',
                value: JSON.stringify(params)
              }]
            });
          }
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        }).catch(function (error) {
          console.log('====> 支付失败', error);
          if (sendWarningLog) {
            sendWarningLog({
              title: 'api.pay支付失败',
              content: [{
                key: 'params',
                value: JSON.stringify(params)
              }, {
                key: 'error',
                value: JSON.stringify(error)
              }]
            });
          }
          return error;
        });
      },
      check: function check(params, config) {
        return verifyData(params, _objectSpread(_objectSpread({}, config || {}), {}, {
          customResponse: true
        })).then(function (res) {
          console.log('--------- verifyData  ----', res);
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        });
      },
      getDeviceList: function getDeviceList(params, config) {
        if (sendWarningLog) {
          sendWarningLog({
            title: 'getDeviceList',
            content: [{
              key: 'params',
              value: JSON.stringify(params)
            }]
          });
        }
        return _getDeviceList(params, config).then(function (res) {
          var _props$onEftposLoad2;
          console.log('getDeviceList res', res);
          if (res && (res.code === '200' || res.code === 200)) {
            var _props$onEftposLoad;
            props === null || props === void 0 || (_props$onEftposLoad = props.onEftposLoad) === null || _props$onEftposLoad === void 0 || _props$onEftposLoad.call(props, true);
            return res.data;
          }
          props === null || props === void 0 || (_props$onEftposLoad2 = props.onEftposLoad) === null || _props$onEftposLoad2 === void 0 || _props$onEftposLoad2.call(props, false);
          return Promise.reject(res);
        }).catch(function (err) {
          var _props$onEftposLoad3;
          console.log('getDeviceList_error>>>>>>', err);
          props === null || props === void 0 || (_props$onEftposLoad3 = props.onEftposLoad) === null || _props$onEftposLoad3 === void 0 || _props$onEftposLoad3.call(props, false);
          return Promise.reject(err);
        });
      },
      update: function update(params, config) {
        return payButton(params, _objectSpread(_objectSpread({}, config || {}), {}, {
          customResponse: true
        })).then(function (res) {
          console.log('--------- payButton  ----', res);
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        });
      },
      refund: function refund(params, config) {
        return refundData(params, _objectSpread(_objectSpread({}, config || {}), {}, {
          customResponse: true
        })).then(function (res) {
          console.log('--------- refundData  ----', res);
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        });
      },
      getTransaction: function getTransaction(params, config) {
        console.log('params', params, config);
        return _getTransaction(params, config).then(function (res) {
          var _props$onEftposLoad5;
          if (res && (res.code === '200' || res.code === 200)) {
            var _props$onEftposLoad4;
            props === null || props === void 0 || (_props$onEftposLoad4 = props.onEftposLoad) === null || _props$onEftposLoad4 === void 0 || _props$onEftposLoad4.call(props, true);
            return res;
          }
          props === null || props === void 0 || (_props$onEftposLoad5 = props.onEftposLoad) === null || _props$onEftposLoad5 === void 0 || _props$onEftposLoad5.call(props, false);
          return Promise.reject(res);
        }).catch(function (err) {
          var _props$onEftposLoad6;
          console.log('getTransaction_error>>>>>>', err);
          props === null || props === void 0 || (_props$onEftposLoad6 = props.onEftposLoad) === null || _props$onEftposLoad6 === void 0 || _props$onEftposLoad6.call(props, false);
          return Promise.reject(err);
        });
      },
      addTransaction: function addTransaction(params, config) {
        console.log('params', params, config);
        return _addTransaction(params, config).then(function (res) {
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        });
      },
      editTransaction: function editTransaction(id, params, config) {
        console.log('editTransaction id = ', id);
        return new Promise(function (resolve) {
          resolve(id);
        }).then(function () {
          return _editTransaction(id, params, config);
        }).then(function (res) {
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        }, function (err) {
          console.log(err);
          return Promise.reject(err);
        });
      },
      linklyPayQuery: function linklyPayQuery(params, config) {
        console.log('linklyPayQuery>>>>>>>params', params, config);
        return _linklyPayQuery(params, config).then(function (res) {
          console.log('linklyPayQuery>>>>>>then', res);
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        }).catch(function (err) {
          console.log('linklyPayQuery>>>>>>error', err);
          return Promise.reject(err);
        });
      },
      linklyRefundQuery: function linklyRefundQuery(params, config) {
        return _linklyRefundQuery(params, config).then(function (res) {
          if (res && (res.code === '200' || res.code === 200)) {
            return res;
          }
          return Promise.reject(res);
        }).catch(function (err) {
          return Promise.reject(err);
        });
      }
    };
  };
  var onChangeParams = function onChangeParams(params) {
    if (isComplete.current) {
      return;
    }
    if (lowcodeRef) {
      lowcodeRef.onChange({
        status: 'cache',
        params: params
      });
      return;
    }
    // ios 端 对json 数据处理存在转译,需要转成base64处理
    // 1. encodeURIComponent 处理特殊字符,中文
    // 2. base64 处理掉转译符号
    // 3. encodeURIComponent 处理掉base64可能出现的反斜杠字符
    if (interaction) {
      var _interaction$utils14, _interaction$utils14$;
      var json = JSON.stringify(params);
      var base64JSon = encodeURIComponent(btoa(encodeURIComponent(json)));
      interaction === null || interaction === void 0 || (_interaction$utils14 = interaction.utils) === null || _interaction$utils14 === void 0 || (_interaction$utils14$ = _interaction$utils14.postMessageToApp) === null || _interaction$utils14$ === void 0 || _interaction$utils14$.call(_interaction$utils14, {
        module: 'pos',
        key: 'paymentInfo',
        data: base64JSon
      });
    }
  };
  useImperativeHandle(ref, function () {
    return {
      updateNetwork: updateNetwork,
      update: update
    };
  });
  return visible ? /*#__PURE__*/React.createElement(EFTComponent, {
    key: key,
    type: type,
    tyroUrl: tyroUrl,
    tyroVersion: tyroVersion,
    source: source,
    mode: mode,
    terminal: terminal,
    onChangeStatus: onChangeStatus,
    onChangeParams: onChangeParams,
    getApi: getApi,
    params: apiParams,
    styles: props === null || props === void 0 ? void 0 : props.styles,
    isWebPos: props === null || props === void 0 ? void 0 : props.isWebPos
  }) : null;
};
export default /*#__PURE__*/forwardRef(EFTPos);